Get DocumentAssignment by ID
curl --request GET \
--url https://platform.kodexa.ai/api/document-assignments/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://platform.kodexa.ai/api/document-assignments/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://platform.kodexa.ai/api/document-assignments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"assignedAt": "2023-11-07T05:31:56Z",
"changeSequence": 123,
"createdOn": "2023-11-07T05:31:56Z",
"id": "<string>",
"releaseAt": "2023-11-07T05:31:56Z",
"updatedOn": "2023-11-07T05:31:56Z",
"user": {
"active": true,
"bio": "<string>",
"businessGroup": "<string>",
"changeSequence": 123,
"createdOn": "2023-11-07T05:31:56Z",
"email": "<string>",
"firstName": "<string>",
"groupsJson": "<string>",
"id": "<string>",
"image": "<string>",
"isExternallyManaged": true,
"lastName": "<string>",
"preferences": {
"showOnboarding": true,
"showScrollbars": true,
"showWelcomeMessage": true
},
"rolesJson": "<string>",
"searchText": "<string>",
"security": {
"roles": [
"<string>"
]
},
"showDeveloperTools": true,
"title": "<string>",
"updatedOn": "2023-11-07T05:31:56Z",
"userStorage": {
"favoriteLinks": [
{
"link": "<string>"
}
]
},
"userType": "<string>",
"uuid": "<string>"
},
"uuid": "<string>"
}Document Assignments
Get DocumentAssignment by ID
Retrieves a single DocumentAssignment by its unique identifier. Document assignments link document families to users for review.
GET
/
api
/
document-assignments
/
{id}
Get DocumentAssignment by ID
Authorizations
x-api-keybearerAuth
API key for authentication. Create one from the Kodexa platform UI under Settings > Access Tokens.
Path Parameters
Unique identifier (UUID) of the resource.
Response
The DocumentAssignment
A document assignment links a document family to a user for review.
⌘I
